<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginFileHandler.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d41/_plugin_file_handler_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginFileHandler.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d41/_plugin_file_handler_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d5/da4/class_plugin_file_handler.html">PluginFileHandler</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/da1/class_plugin_base.html">PluginBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#af595562c8e2bc8741a81e61ad9b16eee">    3</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#af595562c8e2bc8741a81e61ad9b16eee">FileDuplicate</a>(<span class="keywordtype">string</span> source_name, <span class="keywordtype">string</span> dest_name)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d5/df6/group___file.html#ga2b2ae136589f5020ba2a834c14c3dabc">CopyFile</a>(source_name, dest_name);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#af11f876968c3fe09c9564a3ff56a6f1e">    8</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#af11f876968c3fe09c9564a3ff56a6f1e">FileDelete</a>(<span class="keywordtype">string</span> file)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d5/df6/group___file.html#gad214a12fac64e623b389ac2db20b0317">DeleteFile</a>(file);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a97e14436373149c06941c55dab3c6532">   13</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a97e14436373149c06941c55dab3c6532">FileRename</a>(<span class="keywordtype">string</span> source_name, <span class="keywordtype">string</span> dest_name)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        FileDuplicate(source_name, dest_name);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        FileDelete(source_name);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }   </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a7cfe467e7364bb7e7aaedf7685da5a01">   19</a></span>    <span class="keywordtype">bool</span>    <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a7cfe467e7364bb7e7aaedf7685da5a01">m_ReadOnly</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a24e8cc700e46c627bcb7e1f2fa11a896">   20</a></span>    <span class="keywordtype">int</span>     <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a24e8cc700e46c627bcb7e1f2fa11a896">m_LineLimit</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ae1bd5941035a27537d2611aec09b4d02">   22</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a>    <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#ae1bd5941035a27537d2611aec09b4d02">m_FileContent</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a9f9a4e8289133863445e657f04bd806f">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a9f9a4e8289133863445e657f04bd806f">PluginFileHandler</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_FileContent = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_LineLimit = -1;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        LoadFile();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#acb8ce12b0bc66623a24a129ddf3f7535">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#acb8ce12b0bc66623a24a129ddf3f7535">~PluginFileHandler</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        ClearFileNoSave();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a23985ab8f60ea3c9c3b92fd0f3989a1a">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a23985ab8f60ea3c9c3b92fd0f3989a1a">OnInit</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        super.OnInit();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ab89ef2b1c64bb8f6e97f6ec46a2d1618">   42</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ab89ef2b1c64bb8f6e97f6ec46a2d1618">GetFileName</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">return</span> <span class="keywordtype">string</span>.<a class="code hl_variable" href="../../d5/da2/group___strings.html#gaac43f66a696ccf4455ea484c847572a5">Empty</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ab9ffb1fb0368009a7c4c5e3e167aa35d">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ab9ffb1fb0368009a7c4c5e3e167aa35d">ClearFileNoSave</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        m_FileContent.Clear();  </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a86032e08d0f1976b778e04ff53033e0c">   52</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a86032e08d0f1976b778e04ff53033e0c">LoadFile</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        ClearFileNoSave();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_typedef" href="../../d5/df6/group___file.html#ga72279d650834405bf8c972490d101c6b">FileHandle</a> file_index = <a class="code hl_function" href="../../d5/df6/group___file.html#ga3d9a79efe70e77db00da15d1355e40ce">OpenFile</a>(<a class="code hl_function" href="../../d5/da4/class_plugin_file_handler.html#a1d6141f87a7096bdd356c17660b68169">GetFileName</a>(), <a class="code hl_enumeration" href="../../d5/df6/group___file.html#ga031770da453a180e21dcbef5cf5aeab6">FileMode</a>.READ);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> ( file_index == 0 )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordtype">string</span> line_content = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordtype">int</span> char_count = <a class="code hl_function" href="../../d5/df6/group___file.html#ga2dbf15597c7099e168801a53b4ffce82">FGets</a>( file_index,  line_content );</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">while</span> ( char_count != -1 )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            m_FileContent.Insert(line_content);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            char_count = <a class="code hl_function" href="../../d5/df6/group___file.html#ga2dbf15597c7099e168801a53b4ffce82">FGets</a>( file_index,  line_content );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_function" href="../../d5/df6/group___file.html#ga0a4e75ef8b9c1089566c2fcb93c98deb">CloseFile</a>(file_index);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a32d98eb2782b20a3a3931c68f2e5b945">   77</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a32d98eb2782b20a3a3931c68f2e5b945">SaveFile</a>()</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> ( m_ReadOnly )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="comment">//Log(&quot;SaveFile -&gt; Opening File: &quot;+GetFileName());</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_typedef" href="../../d5/df6/group___file.html#ga72279d650834405bf8c972490d101c6b">FileHandle</a> file_index = <a class="code hl_function" href="../../d5/df6/group___file.html#ga3d9a79efe70e77db00da15d1355e40ce">OpenFile</a>(<a class="code hl_function" href="../../d5/da4/class_plugin_file_handler.html#a1d6141f87a7096bdd356c17660b68169">GetFileName</a>(), <a class="code hl_enumeration" href="../../d5/df6/group___file.html#ga031770da453a180e21dcbef5cf5aeab6">FileMode</a>.WRITE);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> ( file_index == 0 )</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_FileContent.Count(); ++i)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="comment">//Log(&quot;SaveFile -&gt; Writing: &quot;+m_FileContent.Get(i));</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_function" href="../../d5/df6/group___file.html#gaeecdc6e29388d4c3625c4596cb87c322">FPrintln</a>(file_index, m_FileContent.Get(i));</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_function" href="../../d5/df6/group___file.html#ga0a4e75ef8b9c1089566c2fcb93c98deb">CloseFile</a>(file_index);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a4aad3183d2fcb050d3359ff4141329c0">  104</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a4aad3183d2fcb050d3359ff4141329c0">IsReadOnly</a>()</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordflow">return</span> m_ReadOnly;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ae4afb705158c1f924b1e81d987dbb2d8">  109</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ae4afb705158c1f924b1e81d987dbb2d8">AddText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        AddNewLineNoSave(text);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        SaveFile();</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#acf31311e0830585d6dd9bff5dcb6953c">  115</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#acf31311e0830585d6dd9bff5dcb6953c">AddNewLineNoSave</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span> ( m_LineLimit &gt; -1 )</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <span class="keywordflow">if</span> ( m_LineLimit == 0 )</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordtype">int</span> lines_count = m_FileContent.Count();</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <span class="keywordflow">if</span> ( lines_count &gt; 0 &amp;&amp; lines_count &gt;= m_LineLimit )</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>                <span class="keywordtype">int</span> remove_indexes = lines_count - m_LineLimit;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>                </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt;= remove_indexes; ++i )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                    m_FileContent.RemoveOrdered(0);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        m_FileContent.Insert(text);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a4b23ae0d01f57bf2119700070ac6f918">  140</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a4b23ae0d01f57bf2119700070ac6f918">GetFileContent</a>()</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">return</span> m_FileContent;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>}</div>
<div class="ttc" id="aclass_plugin_base_html"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html">PluginBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dbd/_plugin_base_8c_source.html#l00001">PluginBase.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a23985ab8f60ea3c9c3b92fd0f3989a1a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a23985ab8f60ea3c9c3b92fd0f3989a1a">PluginBase::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00037">PluginFileHandler.c:37</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a24e8cc700e46c627bcb7e1f2fa11a896"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a24e8cc700e46c627bcb7e1f2fa11a896">PluginBase::m_LineLimit</a></div><div class="ttdeci">int m_LineLimit</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00020">PluginFileHandler.c:20</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a32d98eb2782b20a3a3931c68f2e5b945"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a32d98eb2782b20a3a3931c68f2e5b945">PluginBase::SaveFile</a></div><div class="ttdeci">bool SaveFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00077">PluginFileHandler.c:77</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a4aad3183d2fcb050d3359ff4141329c0"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a4aad3183d2fcb050d3359ff4141329c0">PluginBase::IsReadOnly</a></div><div class="ttdeci">bool IsReadOnly()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00104">PluginFileHandler.c:104</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a4b23ae0d01f57bf2119700070ac6f918"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a4b23ae0d01f57bf2119700070ac6f918">PluginBase::GetFileContent</a></div><div class="ttdeci">TStringArray GetFileContent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00140">PluginFileHandler.c:140</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a7cfe467e7364bb7e7aaedf7685da5a01"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a7cfe467e7364bb7e7aaedf7685da5a01">PluginBase::m_ReadOnly</a></div><div class="ttdeci">bool m_ReadOnly</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00019">PluginFileHandler.c:19</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a86032e08d0f1976b778e04ff53033e0c"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a86032e08d0f1976b778e04ff53033e0c">PluginBase::LoadFile</a></div><div class="ttdeci">bool LoadFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00052">PluginFileHandler.c:52</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a97e14436373149c06941c55dab3c6532"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a97e14436373149c06941c55dab3c6532">PluginBase::FileRename</a></div><div class="ttdeci">static void FileRename(string source_name, string dest_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00013">PluginFileHandler.c:13</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a9f9a4e8289133863445e657f04bd806f"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a9f9a4e8289133863445e657f04bd806f">PluginBase::PluginFileHandler</a></div><div class="ttdeci">void PluginFileHandler()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00024">PluginFileHandler.c:24</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ab89ef2b1c64bb8f6e97f6ec46a2d1618"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ab89ef2b1c64bb8f6e97f6ec46a2d1618">PluginBase::GetFileName</a></div><div class="ttdeci">string GetFileName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00042">PluginFileHandler.c:42</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ab9ffb1fb0368009a7c4c5e3e167aa35d"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ab9ffb1fb0368009a7c4c5e3e167aa35d">PluginBase::ClearFileNoSave</a></div><div class="ttdeci">void ClearFileNoSave()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00047">PluginFileHandler.c:47</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_acb8ce12b0bc66623a24a129ddf3f7535"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#acb8ce12b0bc66623a24a129ddf3f7535">PluginBase::~PluginFileHandler</a></div><div class="ttdeci">void ~PluginFileHandler()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00032">PluginFileHandler.c:32</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_acf31311e0830585d6dd9bff5dcb6953c"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#acf31311e0830585d6dd9bff5dcb6953c">PluginBase::AddNewLineNoSave</a></div><div class="ttdeci">void AddNewLineNoSave(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00115">PluginFileHandler.c:115</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ae1bd5941035a27537d2611aec09b4d02"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ae1bd5941035a27537d2611aec09b4d02">PluginBase::m_FileContent</a></div><div class="ttdeci">ref TStringArray m_FileContent</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00022">PluginFileHandler.c:22</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ae4afb705158c1f924b1e81d987dbb2d8"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ae4afb705158c1f924b1e81d987dbb2d8">PluginBase::AddText</a></div><div class="ttdeci">void AddText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00109">PluginFileHandler.c:109</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_af11f876968c3fe09c9564a3ff56a6f1e"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#af11f876968c3fe09c9564a3ff56a6f1e">PluginBase::FileDelete</a></div><div class="ttdeci">static bool FileDelete(string file)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00008">PluginFileHandler.c:8</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_af595562c8e2bc8741a81e61ad9b16eee"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#af595562c8e2bc8741a81e61ad9b16eee">PluginBase::FileDuplicate</a></div><div class="ttdeci">static bool FileDuplicate(string source_name, string dest_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d41/_plugin_file_handler_8c_source.html#l00003">PluginFileHandler.c:3</a></div></div>
<div class="ttc" id="aclass_plugin_file_handler_html"><div class="ttname"><a href="../../d5/da4/class_plugin_file_handler.html">PluginFileHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_plugin_config_handler_8c_source.html#l00001">PluginConfigHandler.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_file_handler_html_a1d6141f87a7096bdd356c17660b68169"><div class="ttname"><a href="../../d5/da4/class_plugin_file_handler.html#a1d6141f87a7096bdd356c17660b68169">PluginFileHandler::GetFileName</a></div><div class="ttdeci">override string GetFileName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_plugin_config_handler_8c_source.html#l00017">PluginConfigHandler.c:17</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array&lt; string &gt;</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga28845e68ed8329715e29aded7542ca15"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a></div><div class="ttdeci">array&lt; string &gt; TStringArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00644">EnScript.c:644</a></div></div>
<div class="ttc" id="agroup___file_html_ga031770da453a180e21dcbef5cf5aeab6"><div class="ttname"><a href="../../d5/df6/group___file.html#ga031770da453a180e21dcbef5cf5aeab6">FileMode</a></div><div class="ttdeci">FileMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00382">EnSystem.c:383</a></div></div>
<div class="ttc" id="agroup___file_html_ga0a4e75ef8b9c1089566c2fcb93c98deb"><div class="ttname"><a href="../../d5/df6/group___file.html#ga0a4e75ef8b9c1089566c2fcb93c98deb">CloseFile</a></div><div class="ttdeci">proto void CloseFile(FileHandle file)</div><div class="ttdoc">Close the File.</div></div>
<div class="ttc" id="agroup___file_html_ga2b2ae136589f5020ba2a834c14c3dabc"><div class="ttname"><a href="../../d5/df6/group___file.html#ga2b2ae136589f5020ba2a834c14c3dabc">CopyFile</a></div><div class="ttdeci">proto native bool CopyFile(string sourceName, string destName)</div><div class="ttdoc">copy file. destName must be &quot;$profile:&quot; or &quot;$saves:&quot; location</div></div>
<div class="ttc" id="agroup___file_html_ga2dbf15597c7099e168801a53b4ffce82"><div class="ttname"><a href="../../d5/df6/group___file.html#ga2dbf15597c7099e168801a53b4ffce82">FGets</a></div><div class="ttdeci">proto int FGets(FileHandle file, string var)</div><div class="ttdoc">Get line from file, every next call of this function returns next line.</div></div>
<div class="ttc" id="agroup___file_html_ga3d9a79efe70e77db00da15d1355e40ce"><div class="ttname"><a href="../../d5/df6/group___file.html#ga3d9a79efe70e77db00da15d1355e40ce">OpenFile</a></div><div class="ttdeci">proto FileHandle OpenFile(string name, FileMode mode)</div><div class="ttdoc">Opens File.</div></div>
<div class="ttc" id="agroup___file_html_ga72279d650834405bf8c972490d101c6b"><div class="ttname"><a href="../../d5/df6/group___file.html#ga72279d650834405bf8c972490d101c6b">FileHandle</a></div><div class="ttdeci">int[] FileHandle</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00390">EnSystem.c:390</a></div></div>
<div class="ttc" id="agroup___file_html_gad214a12fac64e623b389ac2db20b0317"><div class="ttname"><a href="../../d5/df6/group___file.html#gad214a12fac64e623b389ac2db20b0317">DeleteFile</a></div><div class="ttdeci">proto native bool DeleteFile(string name)</div><div class="ttdoc">delete file. Works only on &quot;$profile:&quot; and &quot;$saves:&quot; locations</div></div>
<div class="ttc" id="agroup___file_html_gaeecdc6e29388d4c3625c4596cb87c322"><div class="ttname"><a href="../../d5/df6/group___file.html#gaeecdc6e29388d4c3625c4596cb87c322">FPrintln</a></div><div class="ttdeci">proto void FPrintln(FileHandle file, void var)</div><div class="ttdoc">Write to file and add new line.</div></div>
<div class="ttc" id="agroup___strings_html_gaac43f66a696ccf4455ea484c847572a5"><div class="ttname"><a href="../../d5/da2/group___strings.html#gaac43f66a696ccf4455ea484c847572a5">string::Empty</a></div><div class="ttdeci">static const string Empty</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d04/_en_string_8c_source.html#l00007">EnString.c:7</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../d4/d41/_plugin_file_handler_8c.html">PluginFileHandler.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
